This guide outlines Blockdaemon's Ethereum JSON-RPC APIs for retrieving transaction and transfer data. One of the key capabilities is retrieving transaction hashes associated with a specific address.
Ethereum custom methods support the following networks:
mainnetsepoliahoodi
See the Ethereum RPC API connection guide.
Deposits API
bd_getDeposits
bd_getDepositsReturn detailed information about Ethereum deposit transactions.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_getDeposits",
"params": [
{
"blockStart": 1,
"blockEnd": 1,
"from": 1,
"to": 1,
"withdrawalAddress": "0x0000000000000000000000000000000000000000",
"pubKey": "0x0000000000000000000000000000000000000000000000000000000000000000",
"blockHash": "0x0000000000000000000000000000000000000000000000000000000000000000",
"transactionHash": "0x0000000000000000000000000000000000000000000000000000000000000000"
}
]
}Request Parameters
| Field | Type | Description |
|---|---|---|
blockStart | String or number | Starting block number for the query range. |
blockEnd | String or number | Ending block number for the query range. |
from | String or number | Start epoch timestamp for filtering deposits. |
to | String or number | End epoch timestamp for filtering deposits. |
withdrawalAddress | String | Withdrawal address to look up deposits for. |
pubKey | String | Public key to look up deposits for. |
blockHash | String | Block hash to look up deposits for. |
transactionHash | String | Transaction hash to look up deposits for. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": {
"pubKey": "0xa61ad34f05fa2033cefc1b8176e6b51ec0c28f10e02ffee1045d518537cf8ce6ec7fb2de97e4acb63cef471e8f25d8db",
"amount": "0x0040597307000000",
"blockNumber": "0x16634CA",
"withdrawalCredentials": "0x0100000000000000000000007e2a2fa2a064f693f0a55c5639476d913ff12d05",
"signature": "0xaa3d22d54dd8c01393c4b51c1f2693d50e5228d88b854787b4516bd66550f65755760885653e69baebbe50d3c8a893e60fbdf64f385fd5c240d10c28873eac20befcef79b01c90d669658e09d582cce83089a139d2a53353e7a947e3ed815c5c",
"index": "0xac41230000000000",
"txHash": "0x5d8a51de801fa333cf5abad7b8c173ac1b344f4162d4d44ed873f49695da598a",
"depositProvider": "0x00000000219ab540356cBB839Cbe05303d7705Fa",
"blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"withdrawalAddress": "0x0000000000000000000000000000000000000000",
"withdrawalAddressType": "0x02"
}
}Response Object
| Field | Type | Description |
|---|---|---|
pubKey | string | Public key of the validator the deposit was made to. |
amount | string | Amount of the deposit. |
blockNumber | string | Block number of the deposit |
withdrawalCredentials | string | Withdrawal credentials of the deposit |
signature | string | Signature of the deposit |
index | string | Index of the deposit |
txHash | string | Transaction hash of the deposit |
depositProvider | string | Deposit provider of the deposit |
blockHash | string | Block hash of the deposit |
withdrawalAddress | string | Withdrawal address of the deposit |
withdrawalAddressType | string | Withdrawal address type of the deposit |
Account API
bd_getTransactionHashesByAddress
bd_getTransactionHashesByAddressReturns transaction hashes by address. Use this method to track transactions associated with a specific address.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"method": "bd_getTransactionHashesByAddress",
"id": 1,
"params": [
"0x388C818CA8B9251b393131C08a736A67ccB19297"
]
}
{
"jsonrpc": "2.0",
"method": "bd_getTransactionHashesByAddress",
"id": 1,
"params": [
"0x388C818CA8B9251b393131C08a736A67ccB19297",
{
"blockStart": "0x10D4F",
"blockEnd": "0x10FFFF",
"order": "asc",
"pageSize": 50,
}
]
}Request Parameters
| Type | Description |
|---|---|
params: Hex-encoded EVM address | (required) The main account address. |
params: Filter Object | (optional) An object with filters. See the table below. |
Filter Object
| Argument | Type | Description |
|---|---|---|
blockStart | Unsigned integer or hex-encoded number | (optional) Only return hashes higher than or equal to this block number. |
blockEnd | Unsigned integer or hex-encoded number | (optional) Only return hashes lower than this block number. |
order | Enum (desc|asc) | (optional) Return hashes by block number in ascending or descending order. The default is descending. |
pageToken | String | (optional) Token for pagination. |
pageSize | Unsigned integer or hex-encoded number | (optional) Max results per page (1-100). Default is 100. |
contract | Comma-separated string of hex-encoded EVM addresses | (optional) Only return hashes where the specified contract address was invoked. Multiple addresses are treated as an OR filter. |
Info:The
pageTokenshould be used in combination with prior filter arguments to work properly.
Response Example
{
"jsonrpc": "2.0",
"id": 1,
"result": {
"transactions": [
"0xf717bf9b76338c275373bf25b48692d4aad2f88b72b8677a5cae00a6c9e60157",
"0x82d97cb65e4bd8c2f76e45d90f8f09550317b52a95d8c5d6b92a662fe72cac60",
"0xdebb7de86c2f09f94e23c12c4a09f9abab4391b274febfeef1505b096cd1ad84",
...
]
}
}
Response Object
| Field | Type | Description |
|---|---|---|
transactions | List of hashes | (required) List of matching transaction hashes. |
pageToken | String | (optional) Token for fetching the next page of results. Add the token in the request payload. |
Blocks API
bd_getBlockHeaderByDate
bd_getBlockHeaderByDateReturns a block header for the given date (Unix timestamp). If no exact match is found, returns the nearest block.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"method": "bd_getBlockHeaderByDate",
"id": 1,
"params": [1728476495]
}Request Parameter
| Field | Type | Description |
|---|---|---|
params: Timestamp | timestamp | (required) The timestamp in Unix seconds can be provided as either a number or a hex-encoded number. |
Response Example
{
"jsonrpc": "2.0",
"id": 1,
"result": {
"time": "0x6706754f",
"height": "0x13f55fe",
"hash": "0xead6af5739422ca8e99fba58943e138c718e5a093c437513973d9945ef89472b"
}
}Response Object
| Field | Type | Description |
|---|---|---|
time | Hex-encoded number | (required) The block time in Unix timestamp. |
height | Hex-encoded number | (required) The block number. |
hash | String | (required) The block hash. |
bd_debug_traceBlockByHash
bd_debug_traceBlockByHashGet a geth trace by block hash including decoded data.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_debug_traceBlockByHash",
"params": [
"0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
{
"tracer": "callTracer",
"tracerConfig": {
"onlyTopCall": false
}
}
]
}Request Parameters
| Type | Description |
|---|---|
params: Hex-encoded EVM address | (required) Hash of the block to trace.. |
params: Filter Object | (optional) An object with filters. See the table below. |
Filter Object
| Argument | Type | Description |
|---|---|---|
tracer | string | (optional) Tracer to use (Only callTracer is supported). |
tracerConfig | object | (optional) Tracer config object. |
tracerConfig.onlyTopcall | boolean | (optional) Only return the top call in the trace. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": [
{
"result": {
"type": "call",
"from": "0x0000000000000000000000000000000000000000",
"to": "0x0000000000000000000000000000000000000000",
"value": "0x0",
"gas": "0x5208",
"gasUsed": "0x5208",
"input": "0xa9059cbb0000000000000000000000002c46b28e4bac6b0188baf722f17f5f36e217033000000000000000000000000000000000000000000000000058d15e176280000",
"output": "0x0000000000000000000000000000000000000000000000000000000000000001",
"calls": [
{
"type": "call",
"from": "0x0000000000000000000000000000000000000000",
"to": "0x0000000000000000000000000000000000000000",
"value": "0x0",
"gas": "0x5208",
"gasUsed": "0x5208",
"input": "0xa9059cbb0000000000000000000000002c46b28e4bac6b0188baf722f17f5f36e217033000000000000000000000000000000000000000000000000058d15e176280000",
"output": "0x0000000000000000000000000000000000000000000000000000000000000001",
"calls": [
null
],
"decoded": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
}
}
],
"decoded": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
},
"name": "approve",
"eventType": "Unknown",
"decodedOutput": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
}
},
"txHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25"
}
]
}Response Object
| Field | Type | Description |
|---|---|---|
type | String | Type of the trace. |
from | String address | From address of the trace. |
to | String address | To address of the trace, can be null. |
value | String | The integer of the value sent with this transaction. |
gas | String | The integer of the gas provided for the transaction execution. |
gasUsed | String | The integer of the gas used. |
input | String | The data given at the time of input. |
output | String | The data which is returned as an output. |
calls | Array | A list of sub-calls. |
decoded | Object | The decoded data. |
name | String | Name of the element. |
eventType | String | Type of the event. |
decodedOutput | Object | The decoded output data |
txHash | String | The hash of the transaction. |
bd_debug_traceBlockByNumber
bd_debug_traceBlockByNumberGets a geth trace by block number including decoded data
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_debug_traceBlockByNumber",
"params": [
"0x1",
{
"tracer": "callTracer",
"tracerConfig": {
"onlyTopCall": false
}
}
]
}Request Parameters
| Type | Description |
|---|---|
params: Block Number | (required) Block number of the block to trace. |
params: Filter Object | (optional) An object with filters. See the table below. |
Filter Object
| Argument | Type | Description |
|---|---|---|
tracer | string | (optional) Tracer to use (Only callTracer is supported). |
tracerConfig | object | (optional) Tracer config object. |
tracerConfig.onlyTopcall | boolean | (optional) Only return the top call in the trace. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": [
{
"result": {
"type": "call",
"from": "0x0000000000000000000000000000000000000000",
"to": "0x0000000000000000000000000000000000000000",
"value": "0x0",
"gas": "0x5208",
"gasUsed": "0x5208",
"input": "0xa9059cbb0000000000000000000000002c46b28e4bac6b0188baf722f17f5f36e217033000000000000000000000000000000000000000000000000058d15e176280000",
"output": "0x0000000000000000000000000000000000000000000000000000000000000001",
"calls": [
{
"type": "call",
"from": "0x0000000000000000000000000000000000000000",
"to": "0x0000000000000000000000000000000000000000",
"value": "0x0",
"gas": "0x5208",
"gasUsed": "0x5208",
"input": "0xa9059cbb0000000000000000000000002c46b28e4bac6b0188baf722f17f5f36e217033000000000000000000000000000000000000000000000000058d15e176280000",
"output": "0x0000000000000000000000000000000000000000000000000000000000000001",
"calls": [
null
],
"decoded": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
}
}
],
"decoded": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
},
"name": "approve",
"eventType": "Unknown",
"decodedOutput": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
}
},
"txHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25"
}
]Response Object
| Field | Type | Description |
|---|---|---|
type | String | Type of the trace. |
from | String address | From address of the trace. |
to | String address | To address of the trace, can be null. |
value | String | The integer of the value sent with this transaction. |
gas | String | The integer of the gas provided for the transaction execution. |
gasUsed | String | The integer of the gas used. |
input | String | The data given at the time of input. |
output | String | The data which is returned as an output. |
calls | Array | A list of sub-calls. |
decoded | Object | The decoded data. |
name | String | Name of the element. |
eventType | String | Type of the event. |
decodedOutput | Object | The decoded output data |
txHash | String | The hash of the transaction. |
Tokens API
bd_getToken
bd_getTokenGets a token by address.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_getToken",
"params": [
"0x0000000000000000000000000000000000000000"
]
}Request Parameter
| Type | Description |
|---|---|
params: Address | (required) Address to get the token for. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": {
"token": {},
"rawContract": {}
}
}Response Object
| Argument | Type | Description |
|---|---|---|
decimals | String | Decimals of the token |
totalSupply | String | Total supply of the token |
name | String | Name of the token |
symbol | String | Symbol of the token |
bd_getTokenBalance
bd_getTokenBalanceReturns the token balance of a given address for a specific ERC-20 token contract.
InfoHistorical queries only supported on Ethereum mainnet.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": 1,
"method": "bd_getTokenBalance",
"params": [
{
"contractAddress": "0x95aD61b0a150d79219dCF64E1E6Cc01f0B64C4cE",
"ownerAddress": "0xb8aFF7b6ddbecaF1e094C5a628845fC13e93d7f2",
"blockNumber": "0x14EC0C9"
}
]
}{
"jsonrpc": "2.0",
"id": 1,
"method": "bd_getTokenBalance",
"params": [
{
"contractAddress": "0x95aD61b0a150d79219dCF64E1E6Cc01f0B64C4cE",
"ownerAddress": "0xb8aFF7b6ddbecaF1e094C5a628845fC13e93d7f2",
"date": "0x67c07b8f"
}
]
}Request Parameters
| Field | Type | Description |
|---|---|---|
contractAddress | String | (required) The token contract address for which the balance is being queried |
ownerAddress | String | (required) The account address whose token balance you want to retrieve |
date | String/Int (hex/int) | (optional) Timestamp to fetch historical balance |
blockNumber | String/Int (hex/int) | (optional) Block number to fetch historical balance |
Response Example
{
"jsonrpc": "2.0",
"id": 1,
"result": 0x659abc0a1818f23843ff59b3
}bd_getTokenBalances
bd_getTokenBalancesReturns the token balances of given account address in wei.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_getTokenBalances",
"params": [
"0x0000000000000000000000000000000000000000",
false
]
}Request Parameter
| Field | Type | Description |
|---|---|---|
params: Token Address | String | (required) Address to look up token balances for. |
params: Filter | Boolean | (required) Whether to filter token balances that are 0 or not, false will include them. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": {}
}bd_getTokenMetadata
bd_getTokenMetadataReturns token metadata, such as symbol, name, decimals, and total supply.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": 1,
"method": "bd_getTokenMetadata",
"params": [
"0x95aD61b0a150d79219dCF64E1E6Cc01f0B64C4cE"
]
}Request Parameter
| Field | Type | Description |
|---|---|---|
params: Token Address | String | (required) Token contract address. |
Response Example
{
"jsonrpc": "2.0",
"id": 1,
"result": {
"decimals": "0x12",
"totalSupply": "0x314d8d3733f32fa376f039a13d46",
"name": "SHIBA INU",
"symbol": "SHIB"
}
}Response Object
| Field | Type | Description |
|---|---|---|
decimals | Hex encoded number | (required) The decimal places the token uses. |
totalSupply | Hex encoded number | (required) The number of a specific token that can currently exist. |
name | String | (required) The token name. |
symbol | String | (required) The token symbol. |
ABI API
bd_getContractAbiByAddress
bd_getContractAbiByAddress
InfoThis method is available only for the mainnet.
This method returns the ABI (Application Binary Interface) for a given contract address. It is not limited to token addresses but applies to any contract address. The ABI is required to interact with the contract.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": 1,
"method": "bd_getContractAbiByAddress",
"params": [
"0x0e5dDA855EB1De2a212cD1F62b2a3EE49D20c444"
]
}Request Parameter
| Filed | Type | Description |
|---|---|---|
params: Contract Address | String | (required) The contract address for which you want to retrieve the ABI. |
Response Example
{
"jsonrpc": "2.0",
"id": 1,
"result": [
{
"inputs": [
{
"internalType": "address",
"name": "beacon",
"type": "address"
},
{
"internalType": "bytes",
"name": "data",
"type": "bytes"
}
],
"stateMutability": "payable",
"type": "constructor"
},
{
"anonymous": false,
"inputs": [
{
"indexed": false,
"internalType": "address",
"name": "previousAdmin",
"type": "address"
},
{
"indexed": false,
"internalType": "address",
"name": "newAdmin",
"type": "address"
}
],
"name": "AdminChanged",
"type": "event"
},
{
"anonymous": false,
"inputs": [
{
"indexed": true,
"internalType": "address",
"name": "beacon",
"type": "address"
}
],
"name": "BeaconUpgraded",
"type": "event"
},
{
"anonymous": false,
"inputs": [
{
"indexed": true,
"internalType": "address",
"name": "implementation",
"type": "address"
}
],
"name": "Upgraded",
"type": "event"
},
{
"stateMutability": "payable",
"type": "fallback"
},
{
"stateMutability": "payable",
"type": "receive"
}
]
}
Response Object
| Field | Type | Description |
|---|---|---|
inputs | Array | An array of input parameters. Each item includes name, type, and internalType. |
indexed | Boolean | Indicates whether the event parameter is indexed. Only present for event ABI items. |
internalType | String | The type used internally, e.g., address. |
name | String | Name of the function or event. |
type | String | Type of the ABI item. Can be constructor, function, event, fallback, or receive. |
anonymous | Boolean | Indicates if the event is anonymous. Only present for event types. |
stateMutability | String | The state mutability of the function, e.g., payable. |
Transaction API
bd_getTransactionsByAddress
bd_getTransactionsByAddressGets a paginated list of transactions by address.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_getTransactionsByAddress",
"params": [
"0x0000000000000000000000000000000000000000",
{
"blockStart": 1,
"blockEnd": 1,
"from": 1,
"to": 1,
"verbose": false,
"pageSize": 100,
"order": "asc",
"exclusive": true,
"contractAddresses": [
null
]
}
]
}Request Parameter
| Type | Description |
|---|---|
params: Hex-encoded EVM address | (required) Hash of the block to trace. |
params: Filter Object | (optional) An object with filters. See the table below. |
Filter Object
| Argument | Type | Description |
|---|---|---|
blockStart | Unsigned integer or hex-encoded number | (optional) Only return hashes higher than or equal to this block number. |
blockEnd | Unsigned integer or hex-encoded number | (optional) Only return hashes lower than this block number. |
from | String or number | (optional) Start epoch timestamp. |
to | String or number | (optional) End epoch timestamp. |
verbose | Boolean | (optional) Verbose output. |
pageSize | Number (minimum = "1", maximum = "100") | (optional) Page size. |
pageToken | String | (optional) Page token for pagination. |
order | String (enum = "asc, desc") | (optional) Order of the results. |
exclusive | Boolean | (optional) Whether to exclude results that sit on the start/end boundaries. |
contractAddresses | Array | (optional) List of contract addresses to filter by. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": {
"result": [
{
"hash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"nonce": "0x0",
"blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockNumber": "0x16634CA",
"chainId": "0x1",
"transactionIndex": "0xb4",
"from": "0x0000000000000000000000000000000000000000",
"to": "0x0000000000000000000000000000000000000000",
"value": "0x0",
"gas": "0x5208",
"gasPrice": "0x5bcdcacee",
"input": "0x0000000000000000000000000000000000000000000000000000000000000001",
"r": "0x4dec2c2ab964f28385d31cd203fe5960e001ccd110db816ad462d411cf496548",
"s": "0x62ffcab5b6ae1cf4a59d32dd39a92f14eadea5fbbb7587c1a845a3d0d8621253",
"v": "0x25",
"type": "0x2",
"maxFeePerGas": "0x5bcdcacee",
"maxFeePerGasBlob": "0x5bcdcacee",
"accessList": [
{
"address": "0x0000000000000000000000000000000000000000",
"storageKeys": [
null
]
}
],
"blobVersionedHashes": [
null
],
"yParity": "0x0"
}
]
}
}Response Object
| Argument | Type | Description |
|---|---|---|
hash | String | The hash of the transaction. |
nonce | String | The number of transactions made by the sender prior to this one encoded as hexadecimal. |
blockHash | String | The hash of the block. |
blockNumber | String | The number of the block. |
chainId | String | The chain ID of the block. |
transactionIndex | String | The transactions index position in the block encoded as a hexadecimal. |
from | String | The address of the sender. |
to | String | The address of the receiver, null when contract creation. |
value | String | The value transferred in wei encoded as hexadecimal. |
gas | String | The gas provided by the sender, encoded as hexadecimal. |
gasPrice | String | The gas price provided by the sender in wei encoded as hexadecimal. |
input | String | The data sent along with the transaction. |
r | String | The R field of the signature. |
s | String | The S field of the signature. |
v | String | The V field of the signature. |
type | String | The transaction type. |
maxFeePerGas | String | The max fee per gas. |
maxPriorityFeePerGas | String | The max priority fee per gas. |
maxFeePerGasBlob | String | The max fee per gas blob. |
accessList | Array | A list of addresses and storage keys that the transaction plans to access. |
blobVersionedHashes | Array | The blob versioned hashes. |
yParity | String | The y parity. |
address | String | The address of the contract. |
txId | String | The hash of the transaction. |
logIndex | String | The index of the log, only included for log indexes. |
timestamp | String | The timestamp of the event. |
contractAddress | String | The address of the contract the event was emitted from, null if no contract interaction. |
nextPageToken | String | Token used to retrieve the next page of results. |
bd_getDecodedTransactionsByAddress
bd_getDecodedTransactionsByAddressGets a paginated list of decoded transactions by address.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_getDecodedTransactionsByAddress",
"params": [
"0x0000000000000000000000000000000000000000",
{
"blockStart": 1,
"blockEnd": 1,
"from": 1,
"to": 1,
"verbose": false,
"pageSize": 100,
"order": "asc",
"exclusive": true,
"contractAddresses": [
null
]
}
]
}Request Parameter
| Type | Description |
|---|---|
params: Hex-encoded EVM address | (required) Hash of the block to trace. |
params: Filter Object | (optional) An object with filters. See the table below. |
Filter Object
| Argument | Type | Description |
|---|---|---|
blockStart | Unsigned integer or hex-encoded number | (optional) Only return hashes higher than or equal to this block number. |
blockEnd | Unsigned integer or hex-encoded number | (optional) Only return hashes lower than this block number. |
from | String or number | (optional) Start epoch timestamp. |
to | String or number | (optional) End epoch timestamp. |
verbose | Boolean | (optional) Verbose output. |
pageSize | Number (minimum = "1", maximum = "100") | (optional) Page size. |
pageToken | String | (optional) Page token for pagination. |
order | String (enum = "asc, desc") | (optional) Order of the results. |
exclusive | Boolean | (optional) Whether to exclude results that sit on the start/end boundaries. |
contractAddresses | Array | (optional) List of contract addresses to filter by. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": {
"result": [
{
"hash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"nonce": "0x0",
"blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockNumber": "0x16634CA",
"chainId": "0x1",
"transactionIndex": "0xb4",
"from": "0x0000000000000000000000000000000000000000",
"to": "0x0000000000000000000000000000000000000000",
"value": "0x0",
"gas": "0x5208",
"gasPrice": "0x5bcdcacee",
"input": "0x0000000000000000000000000000000000000000000000000000000000000001",
"r": "0x4dec2c2ab964f28385d31cd203fe5960e001ccd110db816ad462d411cf496548",
"s": "0x62ffcab5b6ae1cf4a59d32dd39a92f14eadea5fbbb7587c1a845a3d0d8621253",
"v": "0x25",
"type": "0x2",
"maxFeePerGas": "0x5bcdcacee",
"maxFeePerGasBlob": "0x5bcdcacee",
"accessList": [
{
"address": "0x0000000000000000000000000000000000000000",
"storageKeys": [
null
]
}
],
"blobVersionedHashes": [
null
],
"yParity": "0x0",
"decoded": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
},
"name": "approve",
"eventType": "Unknown"
}
]
}
}Response Object
| Field | Type | Description |
|---|---|---|
hash | String | The hash of the transaction |
nonce | String | The number of transactions made by the sender prior to this one encoded as hexadecimal |
blockHash | String | The hash of the block |
blockNumber | String | The number of the block |
chainId | String | The chain ID of the block |
transactionIndex | String | The transactions index position in the block encoded as a hexadecimal |
from | String | The address of the sender |
to | String | The address of the receiver, null when contract creation |
value | String | The value transferred in wei encoded as hexadecimal |
gas | String | The gas provided by the sender, encoded as hexadecimal |
gasPrice | String | The gas price provided by the sender in wei encoded as hexadecimal |
input | String | The data sent along with the transaction |
r | String | The R field of the signature |
s | String | The S field of the signature |
v | String | The V field of the signature |
type | String | The transaction type |
maxFeePerGas | String | The max fee per gas |
maxPriorityFeePerGas | String | The max priority fee per gas |
maxFeePerGasBlob | String | The max fee per gas blob |
accessList | Array | A list of addresses and storage keys that the transaction plans to access |
blobVersionedHashes | Array | The blob versioned hashes |
yParity | String | The y parity |
decoded | Array | The decoded data containing index, name, type, and value |
name | String | Name of the method function |
eventType | String | Type of the event |
address | String | The address of the contract |
txId | String | The hash of the transaction |
logIndex | String | The index of the log, only included for log indexes |
timestamp | String | The timestamp of the event |
contractAddress | String | The address of the contract the event was emitted from, null if no contract interaction |
nextPageToken | String | Token used to retrieve the next page of results |
bd_getTransactionReceiptsByAddress
bd_getTransactionReceiptsByAddressGets a paginated list of transaction receipts by address.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_getTransactionReceiptsByAddress",
"params": [
"0x0000000000000000000000000000000000000000",
{
"blockStart": 1,
"blockEnd": 1,
"from": 1,
"to": 1,
"verbose": false,
"pageSize": 100,
"order": "asc",
"exclusive": true,
"contractAddresses": [
null
]
}
]
}Request Parameter
| Type | Description |
|---|---|
params: Hex-encoded EVM address | (required) Hash of the block to trace.. |
params: Filter Object | (optional) An object with filters. See the table below. |
Filter Object
| Argument | Type | Description |
|---|---|---|
blockStart | Unsigned integer or hex-encoded number | (optional) Only return hashes higher than or equal to this block number. |
blockEnd | Unsigned integer or hex-encoded number | (optional) Only return hashes lower than this block number. |
from | String or number | (optional) Start epoch timestamp. |
to | String or number | (optional) End epoch timestamp. |
verbose | Boolean | (optional) Verbose output. |
pageSize | Number (minimum = "1", maximum = "100") | (optional) Page size. |
pageToken | String | (optional) Page token for pagination. |
order | String (enum = "asc, desc") | (optional) Order of the results. |
exclusive | Boolean | (optional) Whether to exclude results that sit on the start/end boundaries. |
contractAddresses | Array | (optional) List of contract addresses to filter by. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": {
"result": [
{
"blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockNumber": "0x16634CA",
"contractAddress": "0x0000000000000000000000000000000000000000",
"cumulativeGasUsed": "0x5208",
"effectiveGasPrice": "0x5208",
"from": "0x0000000000000000000000000000000000000000",
"gasUsed": "0x5208",
"logs": [
{
"logIndex": "0x0",
"transactionIndex": "0x0",
"transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockNumber": "0x16634CA",
"address": "0x0000000000000000000000000000000000000000",
"data": "0x0000000000000000000000000000000000000000000000000000000000000001",
"topics": [
"0x0000000000000000000000000000000000000000000000000000000000000001"
],
"removed": false
}
],
"logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000002000000080000000000000000200000000000000000000020000000000000000000000000000000000000800000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000020001000000400000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000800000000000000000010200000000000000000000000000000000000000000000000000000020000",
"status": "0x1",
"to": "0x0000000000000000000000000000000000000000",
"transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"transactionIndex": "0x0",
"type": "0x2",
"blobGasPrice": "0x5208",
"blobGasUsed": "0x5208"
}
]
}
}Response Object
| Argument | Type | Description |
|---|---|---|
blockHash | String | The hash of the block. |
blockNumber | String | The number of the block. |
contractAddress | String | The contract address created for contract creation, otherwise null. |
cumulativeGasUsed | String | The total gas used when this transaction was executed in the block. |
effectiveGasPrice | String | The total base charge plus tip paid for each unit of gas. |
from | String | The address of the sender. |
gasUsed | String | The amount of gas used by this specific transaction alone. |
logs | Array | The logs generated by this transaction. |
logsBloom | String | The bloom filter which is used to retrieve related logs. |
status | String | It is either 1 (success) or 0 (failure) encoded as a hexadecimal. |
to | String | The address of the receiver, null when contract creation. |
transactionHash | String | The hash of the transaction. |
transactionIndex | String | The transactions index position in the block encoded as a hexadecimal. |
type | String | The type of transaction. |
root | String | 32 bytes of post-transaction stateroot (pre-Byzantium), null post. |
blobGasPrice | String | The blob gas price used for the transaction. |
blobGasUsed | String | The blob gas used for the transaction. |
address | String | The address of the contract. |
txId | String | The hash of the transaction. |
logIndex | String | The index of the log, only included for log indexes. |
timestamp | String | The timestamp of the event. |
nextPageToken | String | Token used to retrieve the next page of results. |
bd_getDecodedTransactionReceiptsByAddress
bd_getDecodedTransactionReceiptsByAddressGets a paginated list of decoded transaction receipts by address.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_getDecodedTransactionReceiptsByAddress",
"params": [
"0x0000000000000000000000000000000000000000",
{
"blockStart": 1,
"blockEnd": 1,
"from": 1,
"to": 1,
"verbose": false,
"pageSize": 100,
"order": "asc",
"exclusive": true,
"contractAddresses": [
null
]
}
]
}Request Parameter
| Type | Description |
|---|---|
params: Hex-encoded EVM address | (required) Hash of the block to trace.. |
params: Filter Object | (optional) An object with filters. See the table below. |
Filter Object
| Argument | Type | Description |
|---|---|---|
blockStart | Unsigned integer or hex-encoded number | (optional) Only return hashes higher than or equal to this block number. |
blockEnd | Unsigned integer or hex-encoded number | (optional) Only return hashes lower than this block number. |
from | String or number | (optional) Start epoch timestamp. |
to | String or number | (optional) End epoch timestamp. |
verbose | Boolean | (optional) Verbose output. |
pageSize | Number (minimum = "1", maximum = "100") | (optional) Page size. |
pageToken | String | (optional) Page token for pagination. |
order | String (enum = "asc, desc") | (optional) Order of the results. |
exclusive | Boolean | (optional) Whether to exclude results that sit on the start/end boundaries. |
contractAddresses | Array | (optional) List of contract addresses to filter by. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": {
"result": [
{
"blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockNumber": "0x16634CA",
"contractAddress": "0x0000000000000000000000000000000000000000",
"cumulativeGasUsed": "0x5208",
"effectiveGasPrice": "0x5208",
"from": "0x0000000000000000000000000000000000000000",
"gasUsed": "0x5208",
"logs": [
{
"logIndex": "0x0",
"transactionIndex": "0x0",
"transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockNumber": "0x16634CA",
"address": "0x0000000000000000000000000000000000000000",
"data": "0x0000000000000000000000000000000000000000000000000000000000000001",
"topics": [
"0x0000000000000000000000000000000000000000000000000000000000000001"
],
"removed": false,
"decoded": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
},
"name": "approve",
"eventType": "Unknown"
}
],
"logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000002000000080000000000000000200000000000000000000020000000000000000000000000000000000000800000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000020001000000400000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000800000000000000000010200000000000000000000000000000000000000000000000000000020000",
"status": "0x1",
"to": "0x0000000000000000000000000000000000000000",
"transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"transactionIndex": "0x0",
"type": "0x2",
"blobGasPrice": "0x5208",
"blobGasUsed": "0x5208"
}
]
}
}Response Object
| Field | Type | Description |
|---|---|---|
blockHash | String | The hash of the block |
blockNumber | String | The number of the block |
contractAddress | String | The contract address created for contract creation, otherwise null |
cumulativeGasUsed | String | The total gas used when this transaction was executed in the block |
effectiveGasPrice | String | The total base charge plus tip paid for each unit of gas |
from | String | The address of the sender |
gasUsed | String | The amount of gas used by this specific transaction alone |
logs | Array | The decoded logs generated by this transaction |
logsBloom | String | The bloom filter which is used to retrieve related logs |
status | String | It is either 1 (success) or 0 (failure) encoded as a hexadecimal |
to | String | The address of the receiver, null when contract creation |
transactionHash | String | The hash of the transaction |
transactionIndex | String | The transactions index position in the block encoded as a hexadecimal |
type | String | The type of transaction |
root | String | 32 bytes of post-transaction stateroot (pre-Byzantium), null post |
blobGasPrice | String | The blob gas price used for the transaction |
blobGasUsed | String | The blob gas used for the transaction |
address | String | The address of the contract |
txId | String | The hash of the transaction |
logIndex | String | The index of the log, only included for log indexes |
timestamp | String | The timestamp of the event |
nextPageToken | String | Token used to retrieve the next page of results |
bd_eth_getTransactionByBlockHashAndIndex
bd_eth_getTransactionByBlockHashAndIndexGets a decoded transaction by block hash and index
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_eth_getTransactionByBlockHashAndIndex",
"params": [
"0x033600306f8e2c2266716f983648f0eaec7baf9568ba9bbfc38a158bdda31ef1",
"0x0"
]
}Request Parameter
| Field | Type | Description |
|---|---|---|
params: Block hash | String | (required) The block hash of the transaction. |
params: Transaction index | String | (required) The transaction index. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": {
"hash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"nonce": "0x0",
"blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockNumber": "0x16634CA",
"chainId": "0x1",
"transactionIndex": "0xb4",
"from": "0x0000000000000000000000000000000000000000",
"to": "0x0000000000000000000000000000000000000000",
"value": "0x0",
"gas": "0x5208",
"gasPrice": "0x5bcdcacee",
"input": "0x0000000000000000000000000000000000000000000000000000000000000001",
"r": "0x4dec2c2ab964f28385d31cd203fe5960e001ccd110db816ad462d411cf496548",
"s": "0x62ffcab5b6ae1cf4a59d32dd39a92f14eadea5fbbb7587c1a845a3d0d8621253",
"v": "0x25",
"type": "0x2",
"maxFeePerGas": "0x5bcdcacee",
"maxFeePerGasBlob": "0x5bcdcacee",
"accessList": [
{
"address": "0x0000000000000000000000000000000000000000",
"storageKeys": [
null
]
}
],
"blobVersionedHashes": [
null
],
"yParity": "0x0",
"decoded": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
},
"name": "approve",
"eventType": "Unknown"
}
}Response Object
| Field | Type | Description |
|---|---|---|
hash | String | The hash of the transaction |
nonce | String | The number of transactions made by the sender prior to this one encoded as hexadecimal |
blockHash | String | The hash of the block |
blockNumber | String | The number of the block |
chainId | String | The chain ID of the block |
transactionIndex | String | The transactions index position in the block encoded as a hexadecimal |
from | String | The address of the sender |
to | String | The address of the receiver, null when contract creation |
value | String | The value transferred in wei encoded as hexadecimal |
gas | String | The gas provided by the sender, encoded as hexadecimal |
gasPrice | String | The gas price provided by the sender in wei encoded as hexadecimal |
input | String | The data sent along with the transaction |
r | String | The R field of the signature |
s | String | The S field of the signature |
v | String | The V field of the signature |
type | String | The transaction type |
maxFeePerGas | String | The max fee per gas |
maxPriorityFeePerGas | String | The max priority fee per gas |
maxFeePerGasBlob | String | The max fee per gas blob |
accessList | Array | A list of addresses and storage keys that the transaction plans to access |
blobVersionedHashes | Array | The blob versioned hashes |
yParity | String | The y parity |
decoded | Array | The decoded data |
name | String | Name of the method function |
eventType | String | Type of the event |
bd_eth_getTransactionByBlockNumberAndIndex
bd_eth_getTransactionByBlockNumberAndIndexGets a decoded transaction by block number and index.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_eth_getTransactionByBlockNumberAndIndex",
"params": [
"0x0",
"0x0"
]
}Request Parameter
| Field | Type | Description |
|---|---|---|
params: Block number | String | (required) The block number of the transaction. |
params: Transaction index | String | (required) The transaction index. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": {
"hash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"nonce": "0x0",
"blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockNumber": "0x16634CA",
"chainId": "0x1",
"transactionIndex": "0xb4",
"from": "0x0000000000000000000000000000000000000000",
"to": "0x0000000000000000000000000000000000000000",
"value": "0x0",
"gas": "0x5208",
"gasPrice": "0x5bcdcacee",
"input": "0x0000000000000000000000000000000000000000000000000000000000000001",
"r": "0x4dec2c2ab964f28385d31cd203fe5960e001ccd110db816ad462d411cf496548",
"s": "0x62ffcab5b6ae1cf4a59d32dd39a92f14eadea5fbbb7587c1a845a3d0d8621253",
"v": "0x25",
"type": "0x2",
"maxFeePerGas": "0x5bcdcacee",
"maxFeePerGasBlob": "0x5bcdcacee",
"accessList": [
{
"address": "0x0000000000000000000000000000000000000000",
"storageKeys": [
null
]
}
],
"blobVersionedHashes": [
null
],
"yParity": "0x0",
"decoded": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
},
"name": "approve",
"eventType": "Unknown"
}
}Response Object
| Field | Type | Description |
|---|---|---|
hash | String | The hash of the transaction. |
nonce | String | The number of transactions made by the sender prior to this one encoded as hexadecimal. |
blockHash | String | The hash of the block. |
blockNumber | String | The number of the block. |
chainId | String | The chain ID of the block. |
transactionIndex | String | The transactions index position in the block encoded as a hexadecimal. |
from | String | The address of the sender. |
to | String | The address of the receiver, null when contract creation. |
value | String | The value transferred in wei encoded as hexadecimal. |
gas | String | The gas provided by the sender, encoded as hexadecimal. |
gasPrice | String | The gas price provided by the sender in wei encoded as hexadecimal. |
input | String | The data sent along with the transaction. |
r | String | The R field of the signature. |
s | String | The S field of the signature. |
v | String | The V field of the signature. |
type | String | The transaction type. |
maxFeePerGas | String | The max fee per gas. |
maxPriorityFeePerGas | String | The max priority fee per gas. |
maxFeePerGasBlob | String | The max fee per gas blob. |
accessList | Array | A list of addresses and storage keys that the transaction plans to access. |
blobVersionedHashes | Array | The blob versioned hashes. |
yParity | String | The y parity. |
decoded | Array | The decoded data. |
name | String | Name of the method function. |
eventType | String | Type of the event. |
bd_eth_getTransactionByHash
bd_eth_getTransactionByHashGets a decoded transaction by hash.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_eth_getTransactionByHash",
"params": [
"0xa47e8801e6ccbe2879615a4624ef897dfd897b228946fa362795ba77c195d3f9"
]
}Request Parameter
| Field | Type | Description |
|---|---|---|
params: Transaction hash | String | (required) The hash of the transaction. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": {
"hash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"nonce": "0x0",
"blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockNumber": "0x16634CA",
"chainId": "0x1",
"transactionIndex": "0xb4",
"from": "0x0000000000000000000000000000000000000000",
"to": "0x0000000000000000000000000000000000000000",
"value": "0x0",
"gas": "0x5208",
"gasPrice": "0x5bcdcacee",
"input": "0x0000000000000000000000000000000000000000000000000000000000000001",
"r": "0x4dec2c2ab964f28385d31cd203fe5960e001ccd110db816ad462d411cf496548",
"s": "0x62ffcab5b6ae1cf4a59d32dd39a92f14eadea5fbbb7587c1a845a3d0d8621253",
"v": "0x25",
"type": "0x2",
"maxFeePerGas": "0x5bcdcacee",
"maxFeePerGasBlob": "0x5bcdcacee",
"accessList": [
{
"address": "0x0000000000000000000000000000000000000000",
"storageKeys": [
null
]
}
],
"blobVersionedHashes": [
null
],
"yParity": "0x0",
"decoded": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
},
"name": "approve",
"eventType": "Unknown"
}
}Response Object
| Field | Type | Description |
|---|---|---|
hash | String | The hash of the transaction |
nonce | String | The number of transactions made by the sender prior to this one encoded as hexadecimal |
blockHash | String | The hash of the block |
blockNumber | String | The number of the block |
chainId | String | The chain ID of the block |
transactionIndex | String | The transactions index position in the block encoded as a hexadecimal |
from | String | The address of the sender |
to | String | The address of the receiver, null when contract creation |
value | String | The value transferred in wei encoded as hexadecimal |
gas | String | The gas provided by the sender, encoded as hexadecimal |
gasPrice | String | The gas price provided by the sender in wei encoded as hexadecimal |
input | String | The data sent along with the transaction |
r | String | The R field of the signature |
s | String | The S field of the signature |
v | String | The V field of the signature |
type | String | The transaction type |
maxFeePerGas | String | The max fee per gas |
maxPriorityFeePerGas | String | The max priority fee per gas |
maxFeePerGasBlob | String | The max fee per gas blob |
accessList | Array | A list of addresses and storage keys that the transaction plans to access |
blobVersionedHashes | Array | The blob versioned hashes |
yParity | String | The y parity |
decoded | Array | The decoded data |
name | String | Name of the method function |
bd_getDecodedUnifiedTransactionsByAddress
bd_getDecodedUnifiedTransactionsByAddressGets a paginated list of transactions by address.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_getDecodedUnifiedTransactionsByAddress",
"params": [
"0x0000000000000000000000000000000000000000",
{
"blockStart": 1,
"blockEnd": 1,
"from": 1,
"to": 1,
"verbose": false,
"pageSize": 100,
"order": "asc",
"exclusive": true,
"contractAddresses": [
null
]
}
]
}Request Parameter
| Type | Description |
|---|---|
params: Hex-encoded EVM address | (required) Hash of the block to trace. |
params: Filter Object | (optional) An object with filters. See the table below. |
Filter Object
| Argument | Type | Description |
|---|---|---|
blockStart | Unsigned integer or hex-encoded number | (optional) Only return hashes higher than or equal to this block number. |
blockEnd | Unsigned integer or hex-encoded number | (optional) Only return hashes lower than this block number. |
from | String or number | (optional) Start epoch timestamp. |
to | String or number | (optional) End epoch timestamp. |
verbose | Boolean | (optional) Verbose output. |
pageSize | Number (minimum = "1", maximum = "100") | (optional) Page size. |
pageToken | String | (optional) Page token for pagination. |
order | String (enum = "asc, desc") | (optional) Order of the results. |
exclusive | Boolean | (optional) Whether to exclude results that sit on the start/end boundaries. |
contractAddresses | Array | (optional) List of contract addresses to filter by. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": {
"result": [
{
"hash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"nonce": "0x0",
"blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockNumber": "0x16634CA",
"chainId": "0x1",
"transactionIndex": "0xb4",
"from": "0x0000000000000000000000000000000000000000",
"to": "0x0000000000000000000000000000000000000000",
"value": "0x0",
"gas": "0x5208",
"gasPrice": "0x5bcdcacee",
"input": "0x0000000000000000000000000000000000000000000000000000000000000001",
"r": "0x4dec2c2ab964f28385d31cd203fe5960e001ccd110db816ad462d411cf496548",
"s": "0x62ffcab5b6ae1cf4a59d32dd39a92f14eadea5fbbb7587c1a845a3d0d8621253",
"v": "0x25",
"type": "0x2",
"maxFeePerGas": "0x5bcdcacee",
"maxFeePerGasBlob": "0x5bcdcacee",
"accessList": [
{
"address": "0x0000000000000000000000000000000000000000",
"storageKeys": [
null
]
}
],
"blobVersionedHashes": [
null
],
"yParity": "0x0",
"decoded": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
},
"name": "approve",
"eventType": "Unknown",
"contractAddress": "0x0000000000000000000000000000000000000000",
"cumulativeGasUsed": "0x5208",
"effectiveGasPrice": "0x5208",
"gasUsed": "0x5208",
"logs": [
{
"logIndex": "0x0",
"transactionIndex": "0x0",
"transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockNumber": "0x16634CA",
"address": "0x0000000000000000000000000000000000000000",
"data": "0x0000000000000000000000000000000000000000000000000000000000000001",
"topics": [
"0x0000000000000000000000000000000000000000000000000000000000000001"
],
"removed": false,
"decoded": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
},
"name": "approve",
"eventType": "Unknown"
}
],
"logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000002000000080000000000000000200000000000000000000020000000000000000000000000000000000000800000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000020001000000400000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000800000000000000000010200000000000000000000000000000000000000000000000000000020000",
"status": "0x1",
"blobGasPrice": "0x5208",
"blobGasUsed": "0x5208"
}
]
}
}Response Object
| Argument | Type | Description |
|---|---|---|
hash | String | The hash of the transaction. |
nonce | String | The number of transactions made by the sender prior to this one encoded as hexadecimal. |
blockHash | String | The hash of the block. |
blockNumber | String | The number of the block. |
chainId | String | The chain ID of the block. |
transactionIndex | String | The transactions index position in the block encoded as a hexadecimal. |
from | String | The address of the sender. |
to | String | The address of the receiver, null when contract creation. |
value | String | The value transferred in wei encoded as hexadecimal. |
gas | String | The gas provided by the sender, encoded as hexadecimal. |
gasPrice | String | The gas price provided by the sender in wei encoded as hexadecimal. |
input | String | The data sent along with the transaction. |
r | String | The R field of the signature. |
s | String | The S field of the signature. |
v | String | The V field of the signature. |
type | String | The transaction type. |
maxFeePerGas | String | The max fee per gas. |
maxPriorityFeePerGas | String | The max priority fee per gas. |
maxFeePerGasBlob | String | The max fee per gas blob. |
accessList | Array | A list of addresses and storage keys that the transaction plans to access. |
blobVersionedHashes | Array | The blob versioned hashes. |
yParity | String | The y parity. |
decoded | Array | The decoded data. |
name | String | Name of the method function. |
eventType | String | Type of the event. |
contractAddress | String | The contract address created for contract creation, otherwise null. |
cumulativeGasUsed | String | The total gas used when this transaction was executed in the block. |
effectiveGasPrice | String | The total base charge plus tip paid for each unit of gas. |
gasUsed | String | The amount of gas used by this specific transaction alone. |
logs | Array | The logs generated by this transaction. |
logsBloom | String | The bloom filter which is used to retrieve related logs. |
status | String | It is either 1 (success) or 0 (failure) encoded as a hexadecimal. |
root | String | 32 bytes of post-transaction stateroot (pre-Byzantium), null post. |
blobGasPrice | String | The blob gas price used for the transaction. |
blobGasUsed | String | The blob gas used for the transaction. |
address | String | The address of the contract. |
txId | String | The hash of the transaction. |
logIndex | String | The index of the log, only included for log indexes. |
timestamp | String | The timestamp of the event. |
contractAddress | String | The address of the contract the event was emitted from, null if no contract interaction. |
nextPageToken | String | Token used to retrieve the next page of results. |
bd_getUnifiedTransactionByHash
bd_getUnifiedTransactionByHashGets a decoded unified transaction by hash.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_getUnifiedTransactionByHash",
"params": [
"0xa47e8801e6ccbe2879615a4624ef897dfd897b228946fa362795ba77c195d3f9"
]
}Request Parameter
| Field | Type | Description |
|---|---|---|
params: Transaction hash | String | (required) The hash of the transaction. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": {
"hash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"nonce": "0x0",
"blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockNumber": "0x16634CA",
"chainId": "0x1",
"transactionIndex": "0xb4",
"from": "0x0000000000000000000000000000000000000000",
"to": "0x0000000000000000000000000000000000000000",
"value": "0x0",
"gas": "0x5208",
"gasPrice": "0x5bcdcacee",
"input": "0x0000000000000000000000000000000000000000000000000000000000000001",
"r": "0x4dec2c2ab964f28385d31cd203fe5960e001ccd110db816ad462d411cf496548",
"s": "0x62ffcab5b6ae1cf4a59d32dd39a92f14eadea5fbbb7587c1a845a3d0d8621253",
"v": "0x25",
"type": "0x2",
"maxFeePerGas": "0x5bcdcacee",
"maxFeePerGasBlob": "0x5bcdcacee",
"accessList": [
{
"address": "0x0000000000000000000000000000000000000000",
"storageKeys": [
null
]
}
],
"blobVersionedHashes": [
null
],
"yParity": "0x0",
"decoded": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
},
"name": "approve",
"eventType": "Unknown",
"contractAddress": "0x0000000000000000000000000000000000000000",
"cumulativeGasUsed": "0x5208",
"effectiveGasPrice": "0x5208",
"gasUsed": "0x5208",
"logs": [
{
"logIndex": "0x0",
"transactionIndex": "0x0",
"transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockNumber": "0x16634CA",
"address": "0x0000000000000000000000000000000000000000",
"data": "0x0000000000000000000000000000000000000000000000000000000000000001",
"topics": [
"0x0000000000000000000000000000000000000000000000000000000000000001"
],
"removed": false,
"decoded": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
},
"name": "approve",
"eventType": "Unknown"
}
],
"logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000002000000080000000000000000200000000000000000000020000000000000000000000000000000000000800000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000020001000000400000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000800000000000000000010200000000000000000000000000000000000000000000000000000020000",
"status": "0x1",
"blobGasPrice": "0x5208",
"blobGasUsed": "0x5208"
}
}Response Object
| Field | Type | Description |
|---|---|---|
hash | String | The hash of the transaction. |
nonce | String | The number of transactions made by the sender prior to this one encoded as hexadecimal. |
blockHash | String | The hash of the block. |
blockNumber | String | The number of the block. |
chainId | String | The chain ID of the block. |
transactionIndex | String | The transactions index position in the block encoded as a hexadecimal. |
from | String | The address of the sender. |
to | String | The address of the receiver, null when contract creation. |
value | String | The value transferred in wei encoded as hexadecimal. |
gas | String | The gas provided by the sender, encoded as hexadecimal. |
gasPrice | String | The gas price provided by the sender in wei encoded as hexadecimal. |
input | String | The data sent along with the transaction. |
r | String | The R field of the signature. |
s | String | The S field of the signature. |
v | String | The V field of the signature. |
type | String | The transaction type. |
maxFeePerGas | String | The max fee per gas. |
maxPriorityFeePerGas | String | The max priority fee per gas. |
maxFeePerGasBlob | String | The max fee per gas blob. |
accessList | Array | A list of addresses and storage keys that the transaction plans to access. |
blobVersionedHashes | Array | The blob versioned hashes. |
yParity | String | The y parity. |
decoded | Array | The decoded data. |
name | String | Name of the method function. |
eventType | String | Type of the event. |
contractAddress | String | The contract address created for contract creation, otherwise null. |
cumulativeGasUsed | String | The total gas used when this transaction was executed in the block. |
effectiveGasPrice | String | The total base charge plus tip paid for each unit of gas. |
gasUsed | String | The amount of gas used by this specific transaction alone. |
logs | Array | The logs generated by this transaction. |
logsBloom | String | The bloom filter which is used to retrieve related logs. |
status | String | It is either 1 (success) or 0 (failure) encoded as a hexadecimal. |
root | String | 32 bytes of post-transaction stateroot (pre-Byzantium), null post. |
blobGasPrice | String | The blob gas price used for the transaction. |
blobGasUsed | String | The blob gas used for the transaction. |
bd_debug_traceTransaction
bd_debug_traceTransactionGets a geth trace by transaction hash including decoded data.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_debug_traceTransaction",
"params": [
"0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
{
"tracer": "callTracer",
"tracerConfig": {
"onlyTopCall": false
}
}
]
}Request Parameter
| Type | Description |
|---|---|
params: Hex-encoded EVM address | (required) Hash of the block to trace.. |
params: Filter Object | (optional) An object with filters. See the table below. |
Filter Object
| Argument | Type | Description |
|---|---|---|
tracer | string | (optional) Tracer to use (Only callTracer is supported). |
tracerConfig | object | (optional) Tracer config object. |
tracerConfig.onlyTopcall | boolean | (optional) Only return the top call in the trace. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": {
"type": "call",
"from": "0x0000000000000000000000000000000000000000",
"to": "0x0000000000000000000000000000000000000000",
"value": "0x0",
"gas": "0x5208",
"gasUsed": "0x5208",
"input": "0xa9059cbb0000000000000000000000002c46b28e4bac6b0188baf722f17f5f36e217033000000000000000000000000000000000000000000000000058d15e176280000",
"output": "0x0000000000000000000000000000000000000000000000000000000000000001",
"calls": [
{
"type": "call",
"from": "0x0000000000000000000000000000000000000000",
"to": "0x0000000000000000000000000000000000000000",
"value": "0x0",
"gas": "0x5208",
"gasUsed": "0x5208",
"input": "0xa9059cbb0000000000000000000000002c46b28e4bac6b0188baf722f17f5f36e217033000000000000000000000000000000000000000000000000058d15e176280000",
"output": "0x0000000000000000000000000000000000000000000000000000000000000001",
"calls": [
null
],
"decoded": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
}
}
],
"decoded": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
},
"name": "approve",
"eventType": "Unknown",
"decodedOutput": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
}
}
}Response Object
| Field | Type | Description |
|---|---|---|
type | String | Type of the trace. |
from | String address | From address of the trace. |
to | String address | To address of the trace, can be null. |
value | String | The integer of the value sent with this transaction. |
gas | String | The integer of the gas provided for the transaction execution. |
gasUsed | String | The integer of the gas used. |
input | String | The data given at the time of input. |
output | String | The data which is returned as an output. |
calls | Array | A list of sub-calls. |
decoded | Object | The decoded data. |
name | String | Name of the element. |
eventType | String | Type of the event. |
decodedOutput | Object | The decoded output data |
txHash | String | The hash of the transaction. |
Logs API
bd_getDecodedLogsByAddress
bd_getDecodedLogsByAddressGets a paginated list of decoded logs by address.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_getDecodedLogsByAddress",
"params": [
"0x0000000000000000000000000000000000000000",
{
"blockStart": 1,
"blockEnd": 1,
"from": 1,
"to": 1,
"verbose": false,
"pageSize": 100,
"order": "asc",
"exclusive": true,
"contractAddresses": [
null
]
}
]
}Request Parameters
| Type | Description |
|---|---|
params: Hex-encoded EVM address | (required) The main account address. |
params: Filter Object | (optional) An object with filters. See the table below. |
Filter Object
| Argument | Type | Description |
|---|---|---|
blockStart | Unsigned integer or hex-encoded number | (optional) Only return hashes higher than or equal to this block number. |
blockEnd | Unsigned integer or hex-encoded number | (optional) Only return hashes lower than this block number. |
from | String or number | (optional) Start epoch timestamp. |
to | String or number | (optional) End epoch timestamp. |
verbose | Boolean | (optional) Verbose output. |
pageSize | Number (minimum = "1", maximum = "100") | (optional) Page size. |
pageToken | String | (optional) Page token for pagination. |
order | String (enum = "asc, desc") | (optional) Order of the results. |
exclusive | Boolean | (optional) Whether to exclude results that sit on the start/end boundaries. |
contractAddresses | Array | (optional) List of contract addresses to filter by. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": {
"result": [
{
"logIndex": "0x0",
"transactionIndex": "0x0",
"transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockNumber": "0x16634CA",
"address": "0x0000000000000000000000000000000000000000",
"data": "0x0000000000000000000000000000000000000000000000000000000000000001",
"topics": [
"0x0000000000000000000000000000000000000000000000000000000000000001"
],
"removed": false,
"decoded": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
},
"name": "approve",
"eventType": "Unknown"
}
]
}
}Response Object
| Argument | Type | Description |
|---|---|---|
logIndex | String | The index of the log. |
transactionIndex | String | The index of the transaction. |
transactionHash | String | The hash of the transaction. |
blockHash | String | The hash of the block. |
blockNumber | String | The number of the block. |
address | String | The address of the contract. |
data | String | The data of the log. |
topics | Array | The topics of the log. |
removed | Boolean | Whether the log was removed. |
decoded | Object | The decoded event data containing index, name, type, and value. |
name | String | Name of the event. |
eventType | String | Type of the event. |
txId | String | The hash of the transaction. |
timestamp | String | The timestamp of the event. |
contractAddress | String | The address of the contract the event was emitted from (null if no contract interaction). |
nextPageToken | String | Token used to retrieve the next page of results. |
bd_eth_getLogs
bd_eth_getLogsReturns an array of all logs matching a given filter object, including decoded data.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_eth_getLogs",
"params": [
{
"fromBlock": "0x16634CA",
"toBlock": "0x16634CA",
"address": "0x0000000000000000000000000000000000000000",
"topics": [
null
],
"blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25"
}
]
}Request Parameter
| Field | Type | Description |
|---|---|---|
fromBlock | String | The block number to start the search from. |
toBlock | String | The block number to end the search at. |
address | String | The address of the contract. |
topics | Array | An array of DATA topics (order-dependent). |
blockHash | String | Restricts logs to the block referenced. If present, neither fromBlock nor toBlock is allowed. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": [
{
"logIndex": "0x0",
"transactionIndex": "0x0",
"transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockNumber": "0x16634CA",
"address": "0x0000000000000000000000000000000000000000",
"data": "0x0000000000000000000000000000000000000000000000000000000000000001",
"topics": [
"0x0000000000000000000000000000000000000000000000000000000000000001"
],
"removed": false,
"decoded": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
},
"name": "approve",
"eventType": "Unknown"
}
]
}Response Object
| Field | Type | Description |
|---|---|---|
logIndex | String | The index of the log |
transactionIndex | String | The index of the transaction |
transactionHash | String | The hash of the transaction |
blockHash | String | The hash of the block |
blockNumber | String | The number of the block |
address | String | The address of the contract |
data | String | The data of the log |
topics | Array | The topics of the log |
removed | Boolean | Whether the log was removed |
decoded | Array | The decoded data containing index, name, type, and value |
name | String | Name of the event |
eventType | String | Type of the event |
bd_getLogsByAddress
bd_getLogsByAddressGets a paginated list of logs by address.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_getLogsByAddress",
"params": [
"0x0000000000000000000000000000000000000000",
{
"blockStart": 1,
"blockEnd": 1,
"from": 1,
"to": 1,
"verbose": false,
"pageSize": 100,
"order": "asc",
"exclusive": true,
"contractAddresses": [
null
]
}
]
}Request Parameters
| Type | Description |
|---|---|
params: Hex-encoded EVM address | (required) The address to filter by. |
params: Filter Object | (optional) An object with filters. See the table below. |
Filter Object
| Argument | Type | Description |
|---|---|---|
blockStart | Unsigned integer or hex-encoded number | (optional) Only return hashes higher than or equal to this block number. |
blockEnd | Unsigned integer or hex-encoded number | (optional) Only return hashes lower than this block number. |
from | String or number | (optional) Start epoch timestamp. |
to | String or number | (optional) End epoch timestamp. |
verbose | Boolean | (optional) Verbose output. |
pageSize | Number (minimum = "1", maximum = "100") | (optional) Page size. |
pageToken | String | (optional) Page token for pagination. |
order | String (enum = "asc, desc") | (optional) Order of the results. |
exclusive | Boolean | (optional) Whether to exclude results that sit on the start/end boundaries. |
contractAddresses | Array | (optional) List of contract addresses to filter by. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": {
"result": [
{
"logIndex": "0x0",
"transactionIndex": "0x0",
"transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockNumber": "0x16634CA",
"address": "0x0000000000000000000000000000000000000000",
"data": "0x0000000000000000000000000000000000000000000000000000000000000001",
"topics": [
"0x0000000000000000000000000000000000000000000000000000000000000001"
],
"removed": false
}
]
}
}Response Object
| Field | Type | Description |
|---|---|---|
logIndex | String | The index of the log |
transactionIndex | String | The index of the transaction |
transactionHash | String | The hash of the transaction |
blockHash | String | The hash of the block |
blockNumber | String | The number of the block |
address | String | The address of the contract |
data | String | The data of the log |
topics | Array | The topics of the log |
removed | Boolean | Whether the log was removed |
nextPageToken | String | Token used to retrieve the next page of results |
Receipts API
bd_eth_getBlockReceipts
bd_eth_getBlockReceiptsGets a blocks receipts including decoded data.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_eth_getBlockReceipts",
"params": [
"0x1"
]
}Request Parameters
| Type | Description |
|---|---|
params: Block number | (required) The block number. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": [
{
"blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockNumber": "0x16634CA",
"contractAddress": "0x0000000000000000000000000000000000000000",
"cumulativeGasUsed": "0x5208",
"effectiveGasPrice": "0x5208",
"from": "0x0000000000000000000000000000000000000000",
"gasUsed": "0x5208",
"logs": [
{
"logIndex": "0x0",
"transactionIndex": "0x0",
"transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockNumber": "0x16634CA",
"address": "0x0000000000000000000000000000000000000000",
"data": "0x0000000000000000000000000000000000000000000000000000000000000001",
"topics": [
"0x0000000000000000000000000000000000000000000000000000000000000001"
],
"removed": false,
"decoded": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
},
"name": "approve",
"eventType": "Unknown"
}
],
"logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000002000000080000000000000000200000000000000000000020000000000000000000000000000000000000800000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000020001000000400000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000800000000000000000010200000000000000000000000000000000000000000000000000000020000",
"status": "0x1",
"to": "0x0000000000000000000000000000000000000000",
"transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"transactionIndex": "0x0",
"type": "0x2",
"blobGasPrice": "0x5208",
"blobGasUsed": "0x5208"
}
]
}Response Object
| Field | Type | Description |
|---|---|---|
blockHash | String | The hash of the block |
blockNumber | String | The number of the block |
contractAddress | String | The contract address created for contract creation, otherwise null |
cumulativeGasUsed | String | The total gas used when this transaction was executed in the block |
effectiveGasPrice | String | The total base charge plus tip paid for each unit of gas |
from | String | The address of the sender |
gasUsed | String | The amount of gas used by this specific transaction alone |
logs | Array | The decoded logs generated by this transaction |
logsBloom | String | The bloom filter which is used to retrieve related logs |
status | String | It is either 1 (success) or 0 (failure) encoded as a hexadecimal |
to | String | The address of the receiver, null when contract creation |
transactionHash | String | The hash of the transaction |
transactionIndex | String | The transactions index position in the block encoded as a hexadecimal |
type | String | The type of transaction |
root | String | 32 bytes of post-transaction stateroot (pre-Byzantium), null post |
blobGasPrice | String | The blob gas price used for the transaction |
blobGasUsed | String | The blob gas used for the transaction |
bd_eth_getTransactionReceipt
bd_eth_getTransactionReceiptGets a decoded transaction receipt by hash.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_eth_getTransactionReceipt",
"params": [
"0xa47e8801e6ccbe2879615a4624ef897dfd897b228946fa362795ba77c195d3f9"
]
}Request Parameter
| Type | Description |
|---|---|
params: Transaction hash | (required) Hash of the transaction receipt. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": {
"blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockNumber": "0x16634CA",
"contractAddress": "0x0000000000000000000000000000000000000000",
"cumulativeGasUsed": "0x5208",
"effectiveGasPrice": "0x5208",
"from": "0x0000000000000000000000000000000000000000",
"gasUsed": "0x5208",
"logs": [
{
"logIndex": "0x0",
"transactionIndex": "0x0",
"transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockNumber": "0x16634CA",
"address": "0x0000000000000000000000000000000000000000",
"data": "0x0000000000000000000000000000000000000000000000000000000000000001",
"topics": [
"0x0000000000000000000000000000000000000000000000000000000000000001"
],
"removed": false,
"decoded": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
},
"name": "approve",
"eventType": "Unknown"
}
],
"logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000002000000080000000000000000200000000000000000000020000000000000000000000000000000000000800000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000020001000000400000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000800000000000000000010200000000000000000000000000000000000000000000000000000020000",
"status": "0x1",
"to": "0x0000000000000000000000000000000000000000",
"transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"transactionIndex": "0x0",
"type": "0x2",
"blobGasPrice": "0x5208",
"blobGasUsed": "0x5208"
}
}Response Object
| Field | Type | Description |
|---|---|---|
blockHash | String | The hash of the block |
blockNumber | String | The number of the block |
contractAddress | String | The contract address created for contract creation, otherwise null |
cumulativeGasUsed | String | The total gas used when this transaction was executed in the block |
effectiveGasPrice | String | The total base charge plus tip paid for each unit of gas |
from | String | The address of the sender |
gasUsed | String | The amount of gas used by this specific transaction alone |
logs | Array | The decoded logs generated by this transaction |
logsBloom | String | The bloom filter which is used to retrieve related logs |
status | String | It is either 1 (success) or 0 (failure) encoded as a hexadecimal |
to | String | The address of the receiver, null when contract creation |
transactionHash | String | The hash of the transaction |
transactionIndex | String | The transactions index position in the block encoded as a hexadecimal |
type | String | The type of transaction |
root | String | 32 bytes of post-transaction stateroot (pre-Byzantium), null post |
blobGasPrice | String | The blob gas price used for the transaction |
blobGasUsed | String | The blob gas used for the transaction |
Transfers API
bd_getNativeTransfersByAddress
bd_getNativeTransfersByAddress
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_getNativeTransfersByAddress",
"params": [
"0x0000000000000000000000000000000000000000",
{
"blockStart": 1,
"blockEnd": 1,
"from": 1,
"to": 1,
"pageSize": 100,
"order": "asc",
"exclusive": true
}
]
}Request Parameter
| Type | Description |
|---|---|
params: Hex-encoded EVM address | (required) Hash of the block to trace. |
params: Filter Object | (optional) An object with filters. See the table below. |
Filter Object
| Argument | Type | Description |
|---|---|---|
blockStart | Unsigned integer or hex-encoded number | (optional) Only return hashes higher than or equal to this block number. |
blockEnd | Unsigned integer or hex-encoded number | (optional) Only return hashes lower than this block number. |
from | String or number | (optional) Start epoch timestamp. |
to | String or number | (optional) End epoch timestamp. |
pageSize | Number (minimum = "1", maximum = "100") | (optional) Page size. |
pageToken | String | (optional) Page token for pagination. |
order | String (enum = "asc, desc") | (optional) Order of the results. |
exclusive | Boolean | (optional) Whether to exclude results that sit on the start/end boundaries. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": {
"result": [
{
"from": "0x0000000000000000000000000000000000000000",
"to": "0x0000000000000000000000000000000000000000",
"value": "0x0",
"blockNumber": "0x16634CA",
"blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"timestamp": "0x16634CA"
}
]
}
}Response Object
| Field | Type | Description |
|---|---|---|
from | String | The address the transfer is from. |
to | String | The address the transfer is to. |
value | String | The value of the transfer. |
blockNumber | String | The block number of the event. |
blockHash | String | The hash of the block. |
transactionHash | String | The hash of the transaction. |
timestamp | String | The timestamp of the event. |
nextPageToken | String | Token used to retrieve the next page of results. |
bd_getERC20TransfersByAddress
bd_getERC20TransfersByAddressGets a paginated list of erc20 transfers by address.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_getERC20TransfersByAddress",
"params": [
"0x0000000000000000000000000000000000000000",
{
"blockStart": 1,
"blockEnd": 1,
"from": 1,
"to": 1,
"pageSize": 100,
"order": "asc",
"exclusive": true,
"contractAddresses": [
null
]
}
]
}Request Parameter
| Type | Description |
|---|---|
params: Hex-encoded EVM address | (required) Hash of the block to trace.. |
params: Filter Object | (optional) An object with filters. See the table below. |
Filter Object
| Argument | Type | Description |
|---|---|---|
blockStart | Unsigned integer or hex-encoded number | (optional) Only return hashes higher than or equal to this block number. |
blockEnd | Unsigned integer or hex-encoded number | (optional) Only return hashes lower than this block number. |
from | String or number | (optional) Start epoch timestamp. |
to | String or number | (optional) End epoch timestamp. |
pageSize | Number (minimum = "1", maximum = "100") | (optional) Page size. |
pageToken | String | (optional) Page token for pagination. |
order | String (enum = "asc, desc") | (optional) Order of the results. |
exclusive | Boolean | (optional) Whether to exclude results that sit on the start/end boundaries. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": {
"result": [
{
"from": "0x0000000000000000000000000000000000000000",
"to": "0x0000000000000000000000000000000000000000",
"value": "0x0",
"blockNumber": "0x16634CA",
"blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"transactionHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"logIndex": "0x1",
"timestamp": "0x16634CA",
"tokenAddress": "0x0000000000000000000000000000000000000000"
}
]
}
}Response Object
| Field | Type | Description |
|---|---|---|
from | String | The address the transfer is from. |
to | String | The address the transfer is to. |
value | String | The value of the transfer. |
blockNumber | String | The block number of the event. |
blockHash | String | The hash of the block. |
transactionHash | String | The hash of the transaction. |
logIndex | String | The index of the log the event was emitted. |
timestamp | String | The timestamp of the event. |
tokenAddress | String | The address of the token transfer. |
nextPageToken | String | Token used to retrieve the next page of results. |
Events API
bd_getEventsByAddress
bd_getEventsByAddressGets a paginated list of decoded events by address..
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_getEventsByAddress",
"params": [
"0x0000000000000000000000000000000000000000",
{
"blockStart": 1,
"blockEnd": 1,
"from": 1,
"to": 1,
"verbose": false,
"pageSize": 100,
"order": "asc",
"exclusive": true,
"eventHash": "0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef",
"contractAddresses": [
null
],
"verbosityType": "LOG"
}
]
}Request Parameter
| Type | Description |
|---|---|
params: Hex-encoded EVM address | (required) Hash of the block to trace.. |
params: Filter Object | (optional) An object with filters. See the table below. |
Filter Object
| Argument | Type | Description |
|---|---|---|
blockStart | Unsigned integer or hex-encoded number | (optional) Only return hashes higher than or equal to this block number. |
blockEnd | Unsigned integer or hex-encoded number | (optional) Only return hashes lower than this block number. |
from | String or number | (optional) Start epoch timestamp. |
to | String or number | (optional) End epoch timestamp. |
verbose | Boolean | (optional) Verbose output. |
pageSize | Number (minimum = "1", maximum = "100") | (optional) Page size. |
pageToken | String | (optional) Page token for pagination. |
order | String (enum = "asc, desc") | (optional) Order of the results. |
exclusive | Boolean | (optional) Whether to exclude results that sit on the start/end boundaries. |
eventHash | String | (optional) Event hash to filter by. |
contractAddresses | Array | (optional) List of contract addresses to filter by. |
verbosityType | String (enum = "LOG, TRANSACTION") | (optional) Verbosity type. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": {
"result": [
{
"address": "0x0000000000000000000000000000000000000000",
"eventHash": "0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef",
"txId": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"logIndex": "0x0",
"blockNumber": "0x16634CA",
"timestamp": "0x16634CA",
"contractAddress": "0x0000000000000000000000000000000000000000"
}
]
}
}Response Object
| Field | Type | Description |
|---|---|---|
address | String | The address of the contract |
eventHash | String | The hash of the event |
txId | String | The hash of the transaction |
logIndex | String | The index of the log |
blockNumber | String | The block number of the event |
timestamp | String | The timestamp of the event |
contractAddress | String | The address of the contract the event was emitted from (or created contract address) |
transactionIndex | String | The transactions index position in the block encoded as a hexadecimal |
transactionHash | String | The hash of the transaction |
blockHash | String | The hash of the block |
data | String | The data of the log |
topics | Array | The topics of the log |
removed | Boolean | Whether the log was removed |
decoded | Array | The decoded data containing index, name, type, and value |
name | String | Name of the event or method function |
eventType | String | Type of the event |
hash | String | The hash of the transaction |
nonce | String | The number of transactions made by the sender prior to this one encoded as hexadecimal |
chainId | String | The chain ID of the block |
from | String | The address of the sender |
to | String | The address of the receiver, null when contract creation |
value | String | The value transferred in wei encoded as hexadecimal |
gas | String | The gas provided by the sender, encoded as hexadecimal |
gasPrice | String | The gas price provided by the sender in wei encoded as hexadecimal |
input | String | The data sent along with the transaction |
r | String | The R field of the signature |
s | String | The S field of the signature |
v | String | The V field of the signature |
type | String | The transaction type |
maxFeePerGas | String | The max fee per gas |
maxPriorityFeePerGas | String | The max priority fee per gas |
maxFeePerGasBlob | String | The max fee per gas blob |
accessList | Array | A list of addresses and storage keys that the transaction plans to access |
blobVersionedHashes | Array | The blob versioned hashes |
yParity | String | The y parity |
cumulativeGasUsed | String | The total gas used when this transaction was executed in the block |
effectiveGasPrice | String | The total base charge plus tip paid for each unit of gas |
gasUsed | String | The amount of gas used by this specific transaction alone |
logs | Array | The logs generated by this transaction |
logsBloom | String | The bloom filter which is used to retrieve related logs |
status | String | It is either 1 (success) or 0 (failure) encoded as a hexadecimal |
root | String | 32 bytes of post-transaction stateroot (pre-Byzantium), null post |
blobGasPrice | String | The blob gas price used for the transaction |
blobGasUsed | String | The blob gas used for the transaction |
nextPageToken | String | Token used to retrieve the next page of results |
Traces API
bd_getInternalDecodedTransactionsByAddress
bd_getInternalDecodedTransactionsByAddressGets a paginated list of decoded internal transactions by address.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_getInternalDecodedTransactionsByAddress",
"params": [
"0x0000000000000000000000000000000000000000",
{
"blockStart": 1,
"blockEnd": 1,
"from": 1,
"to": 1,
"verbose": false,
"pageSize": 100,
"order": "asc",
"exclusive": true,
"contractAddresses": [
null
]
}
]
}Request Parameter
| Type | Description |
|---|---|
params: Hex-encoded EVM address | (required) Address to filter by. |
params: Filter Object | (optional) An object with filters. See the table below. |
Filter Object
| Argument | Type | Description |
|---|---|---|
blockStart | Unsigned integer or hex-encoded number | (optional) Only return hashes higher than or equal to this block number. |
blockEnd | Unsigned integer or hex-encoded number | (optional) Only return hashes lower than this block number. |
from | String or number | (optional) Start epoch timestamp. |
to | String or number | (optional) End epoch timestamp. |
verbose | Boolean | (optional) Verbose output. |
pageSize | Number (minimum = "1", maximum = "100") | (optional) Page size. |
pageToken | String | (optional) Page token for pagination. |
order | String (enum = "asc, desc") | (optional) Order of the results. |
exclusive | Boolean | (optional) Whether to exclude results that sit on the start/end boundaries. |
contractAddresses | Array | (optional) List of contract addresses to filter by. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": {
"result": [
{
"result": {
"type": "call",
"from": "0x0000000000000000000000000000000000000000",
"to": "0x0000000000000000000000000000000000000000",
"value": "0x0",
"gas": "0x5208",
"gasUsed": "0x5208",
"input": "0xa9059cbb0000000000000000000000002c46b28e4bac6b0188baf722f17f5f36e217033000000000000000000000000000000000000000000000000058d15e176280000",
"output": "0x0000000000000000000000000000000000000000000000000000000000000001",
"calls": [
{
"type": "call",
"from": "0x0000000000000000000000000000000000000000",
"to": "0x0000000000000000000000000000000000000000",
"value": "0x0",
"gas": "0x5208",
"gasUsed": "0x5208",
"input": "0xa9059cbb0000000000000000000000002c46b28e4bac6b0188baf722f17f5f36e217033000000000000000000000000000000000000000000000000058d15e176280000",
"output": "0x0000000000000000000000000000000000000000000000000000000000000001",
"calls": [
null
],
"decoded": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
}
}
],
"decoded": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
},
"name": "approve",
"eventType": "Unknown",
"decodedOutput": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
}
},
"txHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25"
}
]
}
}Response Object
| Field | Type | Description |
|---|---|---|
result | Object | The decoded trace |
type | String | Type of the trace |
from | String | From address of the trace |
error | String | Error of the trace, can be null |
to | String | To address of the trace, can be null |
value | String | The integer of the value sent with this transaction |
gas | String | The integer of the gas provided for the transaction execution |
gasUsed | String | The integer of the gas used |
input | String | The data given at the time of input |
output | String | The data which is returned as an output |
calls | Array | A list of sub-calls |
decoded | Array | The decoded input data |
name | String | Name of the method function |
eventType | String | Type of the event |
decodedOutput | Array | The decoded output data |
txHash | String | The hash of the transaction |
nextPageToken | String | Token used to retrieve the next page of results |
bd_getInternalTransactionsByAddress
bd_getInternalTransactionsByAddressGets a paginated list of internal transactions by address.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_getInternalTransactionsByAddress",
"params": [
"0x0000000000000000000000000000000000000000",
{
"blockStart": 1,
"blockEnd": 1,
"from": 1,
"to": 1,
"verbose": false,
"pageSize": 100,
"order": "asc",
"exclusive": true,
"contractAddresses": [
null
]
}
]
}Request Parameter
| Type | Description |
|---|---|
params: Hex-encoded EVM address | (required) Address to filter by. |
params: Filter Object | (optional) An object with filters. See the table below. |
Filter Object
| Argument | Type | Description |
|---|---|---|
blockStart | Unsigned integer or hex-encoded number | (optional) Only return hashes higher than or equal to this block number. |
blockEnd | Unsigned integer or hex-encoded number | (optional) Only return hashes lower than this block number. |
from | String or number | (optional) Start epoch timestamp. |
to | String or number | (optional) End epoch timestamp. |
verbose | Boolean | (optional) Verbose output. |
pageSize | Number (minimum = "1", maximum = "100") | (optional) Page size. |
pageToken | String | (optional) Page token for pagination. |
order | String (enum = "asc, desc") | (optional) Order of the results. |
exclusive | Boolean | (optional) Whether to exclude results that sit on the start/end boundaries. |
contractAddresses | Array | (optional) List of contract addresses to filter by. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": {
"result": [
{
"result": {
"type": "call",
"from": "0x0000000000000000000000000000000000000000",
"to": "0x0000000000000000000000000000000000000000",
"value": "0x0",
"gas": "0x5208",
"gasUsed": "0x5208",
"input": "0xa9059cbb0000000000000000000000002c46b28e4bac6b0188baf722f17f5f36e217033000000000000000000000000000000000000000000000000058d15e176280000",
"output": "0x0000000000000000000000000000000000000000000000000000000000000001",
"calls": [
{
"type": "call",
"from": "0x0000000000000000000000000000000000000000",
"to": "0x0000000000000000000000000000000000000000",
"value": "0x0",
"gas": "0x5208",
"gasUsed": "0x5208",
"input": "0xa9059cbb0000000000000000000000002c46b28e4bac6b0188baf722f17f5f36e217033000000000000000000000000000000000000000000000000058d15e176280000",
"output": "0x0000000000000000000000000000000000000000000000000000000000000001",
"calls": [
null
]
}
]
},
"txHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25"
}
]
}
}Response Object
| Field | Type | Description |
|---|---|---|
type | String | Type of the trace |
from | String | From address of the trace |
error | String | Error of the trace, can be null |
to | String | To address of the trace, can be null |
value | String | The integer of the value sent with this transaction |
gas | String | The integer of the gas provided for the transaction execution |
gasUsed | String | The integer of the gas used |
input | String | The data given at the time of input |
output | String | The data which is returned as an output |
calls | Array | A list of sub-calls |
txHash | String | The hash of the transaction |
nextPageToken | String | Token used to retrieve the next page of results |
bd_getInternalTxFunctionCallsByAddress
bd_getInternalTxFunctionCallsByAddressGets a paginated list of decoded function calls by address.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_getInternalTxFunctionCallsByAddress",
"params": [
"0x0000000000000000000000000000000000000000",
{
"blockStart": 1,
"blockEnd": 1,
"from": 1,
"to": 1,
"verbose": false,
"pageSize": 100,
"order": "asc",
"exclusive": true,
"functionHash": "0x0ba855d7",
"contractAddresses": [
null
]
}
]
}Request Parameter
| Type | Description |
|---|---|
params: Hex-encoded EVM address | (required) Address to filter by. |
params: Filter Object | (optional) An object with filters. See the table below. |
Filter Object
| Argument | Type | Description |
|---|---|---|
blockStart | Unsigned integer or hex-encoded number | (optional) Only return hashes higher than or equal to this block number. |
blockEnd | Unsigned integer or hex-encoded number | (optional) Only return hashes lower than this block number. |
from | String or number | (optional) Start epoch timestamp. |
to | String or number | (optional) End epoch timestamp. |
verbose | Boolean | (optional) Verbose output. |
pageSize | Number (minimum = "1", maximum = "100") | (optional) Page size. |
pageToken | String | (optional) Page token for pagination. |
order | String (enum = "asc, desc") | (optional) Order of the results. |
exclusive | Boolean | (optional) Whether to exclude results that sit on the start/end boundaries. |
functionHash | String | (optional) Function hash to filter by. |
contractAddresses | Array | (optional) List of contract addresses to filter by. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": {
"result": [
{
"result": {
"type": "call",
"from": "0x0000000000000000000000000000000000000000",
"to": "0x0000000000000000000000000000000000000000",
"value": "0x0",
"gas": "0x5208",
"gasUsed": "0x5208",
"input": "0xa9059cbb0000000000000000000000002c46b28e4bac6b0188baf722f17f5f36e217033000000000000000000000000000000000000000000000000058d15e176280000",
"output": "0x0000000000000000000000000000000000000000000000000000000000000001",
"calls": [
{
"type": "call",
"from": "0x0000000000000000000000000000000000000000",
"to": "0x0000000000000000000000000000000000000000",
"value": "0x0",
"gas": "0x5208",
"gasUsed": "0x5208",
"input": "0xa9059cbb0000000000000000000000002c46b28e4bac6b0188baf722f17f5f36e217033000000000000000000000000000000000000000000000000058d15e176280000",
"output": "0x0000000000000000000000000000000000000000000000000000000000000001",
"calls": [
null
],
"decoded": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
}
}
],
"decoded": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
},
"name": "approve",
"eventType": "Unknown",
"decodedOutput": {
"index": 0,
"name": "address",
"type": "unit",
"value": "0x0000000000000000000000000000000000000000"
}
},
"txHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25"
}
]
}
}Response Object
| Field | Type | Description |
|---|---|---|
type | String | Type of the trace. |
from | String | From address of the trace. |
error | String | Error of the trace, can be null. |
to | String | To address of the trace, can be null. |
value | String | The integer of the value sent with this transaction. |
gas | String | The integer of the gas provided for the transaction execution. |
gasUsed | String | The integer of the gas used. |
input | String | The data given at the time of input. |
output | String | The data which is returned as an output. |
calls | Array | A list of sub-calls. |
decoded | Array | The decoded input data. |
name | String | Name of the method function. |
eventType | String | Type of the event. |
decodedOutput | Array | The decoded output data. |
txHash | String | The hash of the transaction. |
nextPageToken | String | Token used to retrieve the next page of results. |
bd_getTxFunctionCallsByAddress
bd_getTxFunctionCallsByAddressGets a paginated list of decoded function calls by address.
Compute Unit Value: 10 CU
Request Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"method": "bd_getTxFunctionCallsByAddress",
"params": [
"0x0000000000000000000000000000000000000000",
{
"blockStart": 1,
"blockEnd": 1,
"from": 1,
"to": 1,
"verbose": false,
"pageSize": 100,
"order": "asc",
"exclusive": true,
"functionHash": "0x0ba855d7",
"contractAddresses": [
null
]
}
]
}Request Parameter
| Type | Description |
|---|---|
params: Hex-encoded EVM address | (required) Address to filter by. |
params: Filter Object | (optional) An object with filters. See the table below. |
Filter Object
| Argument | Type | Description |
|---|---|---|
blockStart | Unsigned integer or hex-encoded number | (optional) Only return hashes higher than or equal to this block number. |
blockEnd | Unsigned integer or hex-encoded number | (optional) Only return hashes lower than this block number. |
from | String or number | (optional) Start epoch timestamp. |
to | String or number | (optional) End epoch timestamp. |
verbose | Boolean | (optional) Verbose output. |
pageSize | Number (minimum = "1", maximum = "100") | (optional) Page size. |
pageToken | String | (optional) Page token for pagination. |
order | String (enum = "asc, desc") | (optional) Order of the results. |
exclusive | Boolean | (optional) Whether to exclude results that sit on the start/end boundaries. |
functionHash | String | (optional) Function hash to filter by. |
contractAddresses | Array | (optional) List of contract addresses to filter by. |
Response Example
{
"jsonrpc": "2.0",
"id": "1234567890",
"result": {
"result": [
{
"hash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"nonce": "0x0",
"blockHash": "0x5e893c95f63c73bf99537135ab11b4eedc89011763d9c1a41fd411b5eb946f25",
"blockNumber": "0x16634CA",
"chainId": "0x1",
"transactionIndex": "0xb4",
"from": "0x0000000000000000000000000000000000000000",
"to": "0x0000000000000000000000000000000000000000",
"value": "0x0",
"gas": "0x5208",
"gasPrice": "0x5bcdcacee",
"input": "0x0000000000000000000000000000000000000000000000000000000000000001",
[...]
